
public skill_negation(id,victim)
{
	if((!g_player_negation_used[victim]) && (is_user_alive(victim)) && (!g_event_planted))
	{
		static origin[3],health;
		health = pev(victim,pev_health);
		if(health < floatround(g_player_max_health[victim]*0.60))
		{
			get_user_origin(victim,origin);
			create_te_teleport(origin);
		
			g_player_in_skill[victim] = true;
			g_player_negation_used[victim] = true;
			g_player_negating[victim] = true;
			set_user_godmode (victim,1);
			set_user_rendering(victim,kRenderFxGlowShell,255,255,0,kRenderNormal,50); 
			validate_max_speed(victim);
			
			set_task(BLEACH_SKILL_NEGATION_TIME,"skill_negation_activate",victim);
		
			static xp;
			xp=xp_get(get_pcvar_num(cvar_xp_negation));
			
			client_print(id,print_chat,"%L",id,"L_XP_NEGATE",PLUGIN_TAG,xp);
			xp_set(id,g_player_experience[id]+xp);
		}
	}
	
	return PLUGIN_CONTINUE;
}

public skill_negation_activate(id)
{
	if(is_user_alive(id))
	{
		spawn(id);
		spawn(id);
		set_user_rendering(id);
		set_user_health(id,BLEACH_SKILL_NEGATION_HEALTH);
		print_hud_status(id,"%L",id,"L_STATUS_SKILL_NEGATED");
	}
	
	g_player_in_skill[id] = false;
	g_player_negating[id] = false;
	
	set_user_godmode(id,0);
	validate_max_speed(id);
}
